'use strict';

angular.module('app')
    .service('ApiResponse', function() {
        return function ApiResponse(result) {
            var data;
            var definitions;
            var errorCode;
            var rawResponse;

            if (result.Response) {
                rawResponse = result.Response;

                if (rawResponse.ErrorCode && rawResponse.ErrorCode != 1) {
                    errorCode = rawResponse.ErrorCode;
                }

                if (rawResponse.data) {
                    data = rawResponse.data;
                }

                if (rawResponse.definitions) {
                    definitions = rawResponse.definitions;
                }
            }

            this.getDefinitions = function() {
                return definitions;
            };

            this.getErrorCode = function() {
                return errorCode;
            };

            this.getData = function(key) {
                if (key) {
                    return data[key]
                }
                return data;
            };

            this.getRawResponse = function () {
                return rawResponse;
            };

            this.hasError = function() {
                return null !== errorCode;
            };
        }
    });
