'use strict';

angular.module('app')
    .controller('HomeCtrl', function ($scope, $state, $stateParams, $ionicLoading, $ionicPopup, BungieClient) {
        var showMultiPopup = function(result) {
            $ionicPopup.show({
                title: 'Multiple Accounts Found',
                subTitle: 'Choose the account to view',
                buttons: [
                    {
                        text: 'PlayStation',
                        type: 'button-positive',
                        onTap: function() {
                            $state.go('character-list', {
                                platform: 2,
                                memberId: result[1].memberId
                            });
                        }
                    },
                    {
                        text: 'Xbox',
                        type: 'button-positive',
                        onTap: function() {
                            $state.go('character-list', {
                                platform: 1,
                                memberId: result[0].memberId
                            });
                        }
                    }
                ]
            });
        };

        var showNotFound = function() {
            $ionicPopup.show({
                title: 'Guardian Not Found',
                subTitle: 'We were not able to find a guardian matching that name on any platform. Check your spelling and try again.',
                buttons: [
                    {
                        text: 'Ok',
                        type: 'button-positive'
                    }
                ]
            });
        };

        $scope.$on('$ionicView.beforeEnter', function() {
            $scope.recentSearches = BungieClient.getRecentSearches();
        });

        $scope.search = function(name) {
            if (!name) {
                return;
            }

            $scope.name = '';

            $ionicLoading.show({
                template: '<i class="ghost-loader"></i> Loading'
            });

            BungieClient.findMembersByName(name)
                .then(function(result) {
                    $ionicLoading.hide();
                    if (result.length == 1) {
                        $state.go('character-list', {
                            platform: result[0].platform,
                            memberId: result[0].memberId
                        });
                    } else if (result.length > 1) {
                        showMultiPopup(result);
                    } else {
                        showNotFound();
                    }
                }, function(error) {
                    $ionicLoading.hide();
                    $state.go('error', { error: 'network' });
                });
        }
    });
