'use strict';

angular.module('app')
    .config(function($stateProvider, $urlRouterProvider) {
        $stateProvider
            .state('character-list', {
                url: '/character-list/{platform}/{memberId}',
                templateUrl: 'view/character/list.html',
                controller: 'CharacterListCtrl'
            })
            .state('character-details', {
                url: '/character-details/{platform}/{memberId}/{characterId}',
                templateUrl: 'view/character/detail.html',
                controller: 'CharacterDetailCtrl'
            })
            .state('settings', {
                url: '/settings',
                templateUrl: 'view/settings/index.html',
                controller: 'SettingsCtrl'
            })

            .state('home', {
                url: '/',
                templateUrl: 'view/home/index.html',
                controller: 'HomeCtrl'
            })

            .state('error', {
                url: '/error?error',
                templateUrl: 'view/error/index.html',
                controller: 'ErrorCtrl'
            });

        // if none of the above states are matched, use this as the fallback
        $urlRouterProvider.otherwise('/');
    });
