'use strict';

angular.module('app')
    .controller('SettingsCtrl', function ($scope, $ionicPlatform, $phStore, CharacterService) {
        var factions = CharacterService.getFactionTagMap();
        var sorted = [];

        angular.forEach(factions, function(name, id) {
            sorted.push({id: id, name: name, value: CharacterService.getFactionFilter(id)});
        });

        $scope.factions = sorted;
        $scope.isAndroid = $ionicPlatform.is('android');

        $scope.updateFilter = function(faction) {
            CharacterService.setFactionFilter(faction.id, faction.value);
        };

        $scope.adsOwned = function() {
            return $phStore.get('ads').owned;
        };

        $scope.purchase = function() {
            $phStore.order('ads');
        };

        $scope.restore = function() {
            if (window.storekit) {
                window.storekit.restore();
            }
        };

        $phStore.when('ads').updated(function (p) {
            if (p.owned) {
                console.log('ads purchased, redirecting...');
                $state.go('home');
            }
            console.log('ads not purchased');
        });
    });
