angular.module('phonehead.ad', [])
    .provider('$phAd', function $phAd() {
        var created = false;

        this.config = {};
        this.enabled = false;

        this.$get = ['$ionicPlatform', function($ionicPlatform) {
            if (!this.enabled) {
                console.log('$phAd disabled, skipping...');
                return;
            }

            console.log('$phAd init with config:');
            console.log(this.config);

            if (typeof FlurryAds == 'undefined') {
                console.log('FlurryAds: not installed');
                console.log('install using: cordova plugin add com.rjfun.cordova.flurryads');
                return;
            }

                if (!this.config.units) {
                console.log('FlurryAds: missing config');
                return;
            }

            return {
                createBanner: function() {
                    if (created) {
                        return;
                    }

                    var units;

                    if ($ionicPlatform.is('ios')) {
                        units = this.config.units.ios;
                    } else if ($ionicPlatform.is('android')) {
                        units = this.config.units.android;
                    }

                    if (!units || !units.banner) {
                        console.log('FlurryAds: missing banner configuration');
                        return;
                    }

                    FlurryAds.createBanner({
                        adId: units.banner,
                        position: FlurryAds.AD_POSITION.BOTTOM_CENTER,
                        autoShow: true
                    });
                    created = true;
                }.bind(this),

                removeBanner: function() {
                    if (!created) {
                        return;
                    }
                    FlurryAds.removeBanner();
                    created = false;
                }
            }
        }];
    });