angular.module('phonehead.store', [])
    .provider('$phStore', function $phStore() {
        this.ids = {};

        this.$get = ['$ionicPlatform', function($ionicPlatform) {
            console.log('$phStore init with config:');
            console.log(this.ids);

            if (typeof window.store == 'undefined') {
                console.log('Store: not installed');
                console.log('install using: cc.fovea.cordova.purchase');

                return {
                    get: function (product) {
                        console.log('$phStore: get ' + product);

                        return {
                            owned: true
                        }
                    },
                    order: function (product) {
                        console.log('$phStore: order ' + product);
                    },
                    when: function (product) {
                        return {
                            updated: function () {
                                console.log('$phStore: when ' + product + ' updated');
                            }
                        };
                    }
                }
            }

            store.register({
                id: $ionicPlatform.is('ios') ? this.ids.ios : this.ids.android,
                alias: 'ads',
                type: store.NON_CONSUMABLE
            });

            console.log($ionicPlatform.is('ios') ? 'ios' : 'android');

            // when ads are approved we need to finish the transaction
            store.when('ads').approved(function(p) {
                p.finish();
            });

            if (window.storekit) {
                window.storekit.restoreCompletedTransactionsFinished = function () {
                    navigator.notification.alert("Your purchases have been restored", null, "Success");
                };
            }

            store.refresh();

            return store;
        }];
    });